# CityDoctor2

CityDoctor2 is a Java program for validating CityGML files. It checks whether certain criteria for e.g. geometries are met and outputs a report on the results.

## Installation

Use [Maven](https://maven.apache.org/) to build CityDoctor2.

```bash
mvn install
```

## Usage

Once built the CityDoctorValidation jar can be used to start the program.

```bash
java -jar CityDoctorValidation-<version>.jar -in <path-to-gml-file>.gml -config <path-to-validation-config>.yml -xmlReport <path-to-xml-output>.xml -pdfReport <path-to-pdf-output>.pdf
```

Note:
-xmlReport and -pdfReport are optional


## License
[LGPL](http://www.gnu.org/licenses/lgpl-3.0.de.html)